Put /api/v202208/dashboard/{dashboardId}/mapsetting

Operation: EditMapDashboardSettingsV202208 Permissions: DashboardAndMapsModule (View)

Summary

Applies display settings and filters to a map dashboard. These settings are specific to map dashboards, and cannot be applied to standard dashboards.
To apply these settings, You must also have either:
Created the dashboard
or have DashboardAdministrator Manage and the dashboard is shared at all
or have DashboardAdministrator Manage permission and the dashboard is public
or have SharedDashboardsOrMaps Edit permission and the dashboard is shared with you

Path and Query Parameters

Parameter Description Type Location
dashboardId The identifier of the dashboard to apply these settings toRequired integer Path

Request Body Parameters

Content-Type: application/json

Type Reference: MapDashboardSettingsRequestV202208

Parameter Description Type
title The title of the dashboard. Required Max length of 255 string
description The description of the dashboard. Max length of 255 Required (defined) string
showCost Flag to indicate if Cost data should be shown on the dashboard. Required (defined) boolean
showUse Flag to indicate if Use data should be shown on the dashboard. Required (defined) boolean
showGHG Flag to indicate if Greenhouse Gas data should be shown on the dashboard. Required (defined) boolean
mapDashboardFilter Filters to apply to the map. Required (defined) FilterEdit [Array]
   fieldId Data field ID for the filter Required integer
   operator Filter operator expressed as a string (e.g. “equals”) Required string
   value Filter value string
globalCommodityDisplay Set how commodities should be ordered for each data type. Applied individually to Cost, Use, and GHG Emissions.
Highest - Order displayed commodities in order of Highest Cost/Use/GHG Emissions
Lowest - Order displayed commodities in order Lowest Cost/Use/GHG Emissions
Fixed - Select up to 5 fixed commodities to display. One of ‘Highest’, ‘Lowest’, ‘Fixed’ Required (defined)
string
fixedCommodityIds List of Commodities to display for each data type. Required if GlobalCommodityDisplay is Fixed, ignored otherwise. Maximum length of 5 items. Required when GlobalCommodityDisplay is set to Fixed List cannot be empty array

Request Body

{
  "title": "string",
  "description": "string",
  "showCost": false,
  "showUse": false,
  "showGHG": false,
  "mapDashboardFilter": [
    {
      "fieldId": 1,
      "operator": "string",
      "value": "string"
    }
  ],
  "globalCommodityDisplay": "string",
  "fixedCommodityIds": [
    1
  ]
}

Response Parameters

HTTP 200


Body Parameters

Content Type: application/json

Type Reference: MapDashboardSettingsResponseV202208

Parameter Description Type
title The title of the dashboard. Maximum length of 255 characters. string
description The description of the dashboard. Maximum length of 255 characters. string
showCost Flag to indicate if Cost data is shown on the dashboard. boolean
showUse Flag to indicate if Use data is shown on the dashboard. boolean
showGHG Flag to indicate if Greenhouse Gas data is shown on the dashboard. boolean
mapDashboardFilters Filters applied to the dashboard. FilterResponse [Array]
   availableOperator The list of available operators Required (defined) array
   caption The caption of the filter Required (defined) string
   queryParameterName The Query parameter name Required (defined) string
   fieldId The field identifier Required (defined) integer
   dataFieldId The datafield identifier Required (defined) integer
   dataType DataTypeResponse
      dataTypeId Required (defined) integer
      dataTypeCode Required (defined) string
      dataTypeInfo Required (defined) string
   operator The operator Required (defined) string
   value The value of the filter Required (defined) string
   required Indicates if the filter is required boolean
   recommended Indicates if the filter is recommended Required (defined) boolean
   hidden Indicates if the filter is hidden Required (defined) boolean
globalCommodityDisplay Display order for commodities. Applied individually to Cost, Use, and GHG Emissions.
Highest - Order displayed commodities in order of Highest Cost/Use/GHG Emissions
Lowest - Order displayed commodities in order Lowest Cost/Use/GHG Emissions
Fixed - Display up to 5 fixed commodities for each data type.
string
fixedCommodities List of Commodities to display for Cost, Use, and GHG, if applicable. Empty if GlobalCommodityDisplay is set to “Highest” or “Lowest”. CommodityChild [Array]
   commodityId The commodity identifier Required (defined) integer
   commodityCode The commodity code Required (defined) string
   commodityInfo The commodity info Required (defined) string
   commodityIcon Icon
      code The icon code Must be between 0 and 64 characters Required when Color is set string
      color The icon color Must be between 0 and 32 characters Required when Code is set string

Responses

HTTP 200

Body

Content Type: application/json
{
  "title": "string",
  "description": "string",
  "showCost": false,
  "showUse": false,
  "showGHG": false,
  "mapDashboardFilters": [
    {
      "availableOperator": [
        "string"
      ],
      "caption": "string",
      "queryParameterName": "string",
      "fieldId": 1,
      "dataFieldId": 1,
      "dataType": {
        "dataTypeId": 1,
        "dataTypeCode": "string",
        "dataTypeInfo": "string"
      },
      "operator": "string",
      "value": "string",
      "required": false,
      "recommended": false,
      "hidden": false
    }
  ],
  "globalCommodityDisplay": "string",
  "fixedCommodities": [
    {
      "commodityId": 1,
      "commodityCode": "string",
      "commodityInfo": "string",
      "commodityIcon": {
        "code": "string",
        "color": "string"
      }
    }
  ]
}